Index: /anuga_core/source/anuga/fit_interpolate/fit.py
===================================================================
--- /anuga_core/source/anuga/fit_interpolate/fit.py	(revision 5792)
+++ /anuga_core/source/anuga/fit_interpolate/fit.py	(revision 5793)
@@ -368,6 +368,8 @@
             
         if point_coordinates is None:
-            assert self.AtA <> None
+            print 'Warning: no data points in fit'
+            assert self.AtA <> None, 'no interpolation matrix'
             assert self.Atz <> None
+            
             #FIXME (DSG) - do  a message
         else:
Index: /anuga_work/production/busselton/project_250m.py
===================================================================
--- /anuga_work/production/busselton/project_250m.py	(revision 5792)
+++ /anuga_work/production/busselton/project_250m.py	(revision 5793)
@@ -51,5 +51,5 @@
 finaltime=80000         # final time for simulation
 
-interior_mesh = 'none' # Can have 'all' or 'none' for Phase 2 study
+interior_mesh = 'all' # Can have 'all' or 'none' for Phase 2 study
 
 setup='final'  # Final can be replaced with trial or basic.
Index: uga_work/production/carnarvon/build_boundary.py
===================================================================
--- /anuga_work/production/carnarvon/build_boundary.py	(revision 5792)
+++ 	(revision )
@@ -1,99 +1,0 @@
-from anuga.utilities.numerical_tools import ensure_numeric
-from Scientific.IO.NetCDF import NetCDFFile
-from Numeric import asarray,transpose,sqrt,argmax,argmin,arange,Float,\
-    compress,zeros,fabs,allclose,ones
-from anuga.utilities.polygon import inside_polygon,read_polygon
-from os import sep
-from time import localtime, strftime, gmtime
-from anuga.shallow_water.data_manager import urs2sts,create_sts_boundary
-import os
-import project
-
-######################################
-# Create urs boundary from mux2files #
-######################################
-
-dir=os.path.join(project.muxhome,'mux')
-
-# taken from David's event list
-urs_filenames = [
-    os.path.join(dir,'Java-0000-z.grd'),
-    os.path.join(dir,'Java-0001-z.grd'),
-    os.path.join(dir,'Java-0002-z.grd'),
-    os.path.join(dir,'Java-0003-z.grd'),
-    os.path.join(dir,'Java-0005-z.grd'), 
-    os.path.join(dir,'Java-0006-z.grd'), 
-    os.path.join(dir,'Java-0007-z.grd'), 
-    os.path.join(dir,'Java-0008-z.grd'), 
-    os.path.join(dir,'Java-0010-z.grd'), 
-    os.path.join(dir,'Java-0011-z.grd'), 
-    os.path.join(dir,'Java-0012-z.grd'), 
-    os.path.join(dir,'Java-0013-z.grd'),  
-    os.path.join(dir,'Java-0015-z.grd'),  
-    os.path.join(dir,'Java-0016-z.grd'),  
-    os.path.join(dir,'Java-0017-z.grd'),  
-    os.path.join(dir,'Java-0018-z.grd'),  
-    os.path.join(dir,'Java-0020-z.grd'),  
-    os.path.join(dir,'Java-0021-z.grd'),  
-    os.path.join(dir,'Java-0022-z.grd'),  
-    os.path.join(dir,'Java-0023-z.grd'),  
-    os.path.join(dir,'Java-0025-z.grd'),  
-    os.path.join(dir,'Java-0026-z.grd'),  
-    os.path.join(dir,'Java-0027-z.grd'),  
-    os.path.join(dir,'Java-0028-z.grd'),  
-    os.path.join(dir,'Java-0029-z.grd'),  
-    os.path.join(dir,'Java-0030-z.grd'),  
-    os.path.join(dir,'Java-0031-z.grd'),  
-    os.path.join(dir,'Java-0032-z.grd'),  
-    os.path.join(dir,'Java-0033-z.grd'),  
-    os.path.join(dir,'Java-0034-z.grd'),  
-    os.path.join(dir,'Java-0035-z.grd'),  
-    os.path.join(dir,'Java-0036-z.grd'),  
-    os.path.join(dir,'Java-0037-z.grd'),  
-    os.path.join(dir,'Java-0038-z.grd'),  
-    os.path.join(dir,'Java-0039-z.grd'),  
-    os.path.join(dir,'Java-0040-z.grd'),  
-    os.path.join(dir,'Java-0041-z.grd'),  
-    os.path.join(dir,'Java-0042-z.grd'),  
-    os.path.join(dir,'Java-0043-z.grd'),  
-    os.path.join(dir,'Java-0044-z.grd'),  
-    os.path.join(dir,'Java-0045-z.grd'),  
-    os.path.join(dir,'Java-0046-z.grd'),  
-    os.path.join(dir,'Java-0047-z.grd'),
-    os.path.join(dir,'Java-0048-z.grd')]  
- 
-print 'number of sources', len(urs_filenames)
-
-#from os import sys
-#sys.exit()
-# for all mux files
-#urs_filenames={}
-##for filename in os.listdir(dir)
-##    basename = filename[:-7]
-##
-##    urs_filenames[basename] = True
-    
-# Make list of basenames  
-#urs_filenames = [os.path.join(dir, basename) for basename in urs_filenames.keys()]
-
-# AS per David Burbidge email on Friday 4th July the mag 9.3 event
-# has 1m worth of slip on each sub fault therefore mutliple each unit
-# source by the slip (10.4544) and sum the 44 time series together to
-# get the time series for this event at the points on your boundary. 
-
-weight_factor = 10.4544
-weights=weight_factor*ones(len(urs_filenames),Float)
-
-scenario_name=project.scenario_name
-order_filename=os.path.join(project.boundaries_dir, 'thinned_boundary_ordering.txt')
-
-print 'reading', order_filename
-# Create ordered sts file
-print 'creating sts file'
-
-urs2sts(urs_filenames,
-        basename_out=os.path.join(project.boundaries_dir,scenario_name),
-        ordering_filename=order_filename,
-        weights=weights,
-        mean_stage=project.tide,
-        verbose=True)
Index: /anuga_work/production/carnarvon/build_carnarvon_250m.py
===================================================================
--- /anuga_work/production/carnarvon/build_carnarvon_250m.py	(revision 5792)
+++ /anuga_work/production/carnarvon/build_carnarvon_250m.py	(revision 5793)
@@ -71,14 +71,11 @@
 
 #-------------------------------------------------------------------------------
-# Combine, clip and export dataset 
+# export dataset 
 #-------------------------------------------------------------------------------
-
-print'clip combined geospatial object by bounding polygon'
-G_clipped = G.clip(project_250m.poly_all)
 
 print'export combined DEM file'
 if access(project_250m.topographies_dir,F_OK) == 0:
     mkdir (project_250m.topographies_dir)
-G_clipped.export_points_file(project_250m.combined_dir_name + '.pts')
-#G_clipped.export_points_file(project_250m.combined_dir_name + '.txt') #Use for comparision in ARC
+G.export_points_file(project_250m.combined_dir_name + '.pts')
+G.export_points_file(project_250m.combined_dir_name + '.txt') #Use for comparision in ARC
 
Index: /anuga_work/production/carnarvon/export_results.py
===================================================================
--- /anuga_work/production/carnarvon/export_results.py	(revision 5792)
+++ /anuga_work/production/carnarvon/export_results.py	(revision 5793)
@@ -16,7 +16,4 @@
 directory = project.output_dir
 name = directory+sep+time_dir+sep+project.scenario_name
-
-
-
 
 is_parallel = False
Index: /anuga_work/production/carnarvon/project_250m.py
===================================================================
--- /anuga_work/production/carnarvon/project_250m.py	(revision 5792)
+++ /anuga_work/production/carnarvon/project_250m.py	(revision 5793)
@@ -51,5 +51,5 @@
 finaltime=80000         # final time for simulation
 
-interior_mesh = 'all' # Can have 'all' or 'none' for Phase 2 study
+interior_mesh = 'none' # Can have 'all' or 'none' for Phase 2 study
 
 setup='final'  # Final can be replaced with trial or basic.
Index: /anuga_work/production/carnarvon/run_carnarvon.py
===================================================================
--- /anuga_work/production/carnarvon/run_carnarvon.py	(revision 5792)
+++ /anuga_work/production/carnarvon/run_carnarvon.py	(revision 5793)
@@ -91,5 +91,5 @@
 
     # boundary tags refer to project.landward 4 points equals 5 segments start at N
-     boundary_tags={'back': [N+1,N+2,N+3], 'side': [N,N+4],'ocean': range(N)}
+    boundary_tags={'back': [N+1,N+2,N+3], 'side': [N,N+4], 'ocean': range(N)}
 
     #--------------------------------------------------------------------------
Index: /anuga_work/production/carnarvon/run_carnarvon_250m.py
===================================================================
--- /anuga_work/production/carnarvon/run_carnarvon_250m.py	(revision 5792)
+++ /anuga_work/production/carnarvon/run_carnarvon_250m.py	(revision 5793)
@@ -91,5 +91,6 @@
 
     # boundary tags refer to project_250m.landward 4 points equals 5 segments start at N
-     boundary_tags={'back': [N+1,N+2,N+3], 'side': [N,N+4],'ocean': range(N)}
+    boundary_tags={'back': [N+1,N+2,N+3], 'side': [N,N+4], 'ocean': range(N)}
+
 
     #--------------------------------------------------------------------------
@@ -132,8 +133,8 @@
 
     # sets the initial stage in the offcoast region only
-      IC = Polygon_function( [(project.poly_mainland, 0),(project.poly_island1, 0)
-                            ,(project.poly_island2, 0)], default = kwargs['tide'],
+    IC = Polygon_function( [(project_250m.poly_mainland, 0),(project_250m.poly_island1, 0)
+                            ,(project_250m.poly_island2, 0)], default = kwargs['tide'],
                              geo_reference = domain.geo_reference)
-     domain.set_quantity('stage', IC)
+    domain.set_quantity('stage', IC)
     #domain.set_quantity('stage',kwargs['tide'] )
     domain.set_quantity('friction', kwargs['friction']) 
Index: /anuga_work/production/geraldton/export_results.py
===================================================================
--- /anuga_work/production/geraldton/export_results.py	(revision 5792)
+++ /anuga_work/production/geraldton/export_results.py	(revision 5793)
@@ -1,3 +1,3 @@
-import project, os
+import project_250m, os
 import sys
 
@@ -7,15 +7,14 @@
 
 
-time_dir = '20080911_094915_run_final_0.6_27255_alpha0.1_kvanputt'
-#time_dir = '20080911_100609_run_final_0.6_27283_alpha0.1_kvanputt'
-
+time_dir = '20080925_162836_run_final_0_27283_250m_none_kvanputt'
 
 cellsize = 25
 #cellsize = 150
 #timestep = 0
-directory = project.output_dir
-name = directory+sep+time_dir+sep+project.scenario_name
-#var = [0,4] 
-var = [2] # depth and Speed
+directory = project_250m.output_dir
+name = directory+sep+time_dir+sep+project_250m.scenario_name
+
+var = [0,4] 
+#var = [2] # depth and Speed
 #var = [2,3] # elevation, depth and Speed
 
@@ -26,59 +25,53 @@
 print 'output dir:', name
 
+name = directory+time_dir+sep+project_250m.scenario_name
 
-name1 = directory+time_dir+sep+project.scenario_name
-name2 = directory+time_dir+sep+'sww2'+sep+project.scenario_name+'_time_41700_0' #need to get assistance on how to make this into anything
+for which_var in var:
+    if which_var == 0:  # Stage
+        outname = name + '_stage'
+        quantityname = 'stage'
 
-names = [name1, name2]
+    if which_var == 1:  # Absolute Momentum
+        outname = name + '_momentum'
+        quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  
 
-for name in names:
+    if which_var == 2:  # Depth
+        outname = name + '_depth'
+        quantityname = 'stage-elevation'  
 
-    for which_var in var:
-        if which_var == 0:  # Stage
-            outname = name + '_stage'
-            quantityname = 'stage'
+    if which_var == 3:  # Speed
+        outname = name + '_speed'
+        quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6/(stage-elevation))'  #Speed
 
-        if which_var == 1:  # Absolute Momentum
-            outname = name + '_momentum'
-            quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  
+    if which_var == 4:  # Elevation
+        outname = name + '_elevation'
+        quantityname = 'elevation'  #Elevation
 
-        if which_var == 2:  # Depth
-            outname = name + '_depth'
-            quantityname = 'stage-elevation'  
-
-        if which_var == 3:  # Speed
-            outname = name + '_speed'
-            quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6/(stage-elevation))'  #Speed
-
-        if which_var == 4:  # Elevation
-            outname = name + '_elevation'
-            quantityname = 'elevation'  #Elevation
-
-        if is_parallel == True:
-        #    print 'is_parallel',is_parallel
-            for i in range(0,nodes):
-                namei = name + '_P%d_%d' %(i,nodes)
-                outnamei = outname + '_P%d_%d' %(i,nodes)
-                print 'start sww2dem for sww file %d' %(i)
-                sww2dem(namei, basename_out = outnamei,
-                            quantity = quantityname,
-                            #timestep = timestep,
-                            cellsize = cellsize,      
-                            easting_min = project_grad.e_min_area,
-                            easting_max = project_grad.e_max_area,
-                            northing_min = project_grad.n_min_area,
-                            northing_max = project_grad.n_max_area,        
-                            reduction = max, 
-                            verbose = True,
-                            format = 'asc')
-        else:
-            print 'start sww2dem'
-            sww2dem(name, basename_out = outname,
+    if is_parallel == True:
+    #    print 'is_parallel',is_parallel
+        for i in range(0,nodes):
+            namei = name + '_P%d_%d' %(i,nodes)
+            outnamei = outname + '_P%d_%d' %(i,nodes)
+            print 'start sww2dem for sww file %d' %(i)
+            sww2dem(namei, basename_out = outnamei,
                         quantity = quantityname,
                         #timestep = timestep,
-                        cellsize = cellsize,
-                        number_of_decimal_places = 4,
+                        cellsize = cellsize,      
+                        easting_min = project_grad.e_min_area,
+                        easting_max = project_grad.e_max_area,
+                        northing_min = project_grad.n_min_area,
+                        northing_max = project_grad.n_max_area,        
                         reduction = max, 
                         verbose = True,
                         format = 'asc')
+    else:
+        print 'start sww2dem'
+        sww2dem(name, basename_out = outname,
+                    quantity = quantityname,
+                    #timestep = timestep,
+                    cellsize = cellsize,
+                    number_of_decimal_places = 4,
+                    reduction = max, 
+                    verbose = True,
+                    format = 'asc')
 
Index: /anuga_work/production/geraldton/project_250m.py
===================================================================
--- /anuga_work/production/geraldton/project_250m.py	(revision 5792)
+++ /anuga_work/production/geraldton/project_250m.py	(revision 5793)
@@ -51,5 +51,5 @@
 finaltime=80000         # final time for simulation
 
-interior_mesh = 'all' # Can have 'all' or 'none' for Phase 2 study
+interior_mesh = 'none' # Can have 'all' or 'none' for Phase 2 study
 
 setup='final'  # Final can be replaced with trial or basic.