Index: /anuga_core/documentation/user_manual/anuga_installation_guide.tex
===================================================================
--- /anuga_core/documentation/user_manual/anuga_installation_guide.tex	(revision 5798)
+++ /anuga_core/documentation/user_manual/anuga_installation_guide.tex	(revision 5799)
@@ -5,4 +5,7 @@
 
 \author{Ole Nielsen, Duncan Gray, Jane Sexton}
+
+\usepackage{graphicx}
+
 
 % Please at least include a long-lived email address;
@@ -45,7 +48,8 @@
 \chapter{Introduction}
 
-This document outlines the required software for installing the Anuga toolbox.
+This document outlines the procedure for installing the Anuga toolbox.
 All components are licensed as open source and readily available from the net.
-It is assumed that the reader is familiar with the Python programming language and the process of downloading, installing and unpacking files into directories.
+It is assumed that the reader is familiar with the Python programming language
+and the process of downloading, installing and unpacking files into directories.
 
 
@@ -53,110 +57,100 @@
 \label{sec:requirements}
 
-To run ANUGA you will need a Windows (2000 or XP) or a Linux PC with at 
-least 512MB RAM. The viewer (Windows only) requires a graphics adapter that
+To run ANUGA you will need a Windows PC (XP or Vista) or a Linux PC with at 
+least 512MB RAM.
+
+The viewer (Windows only) requires a graphics adapter that
 is OpenGL compatible. It has been tested with ATI FireGL X1 cards
 and the NVIDIA family. It may not work with other cards such as those from the
-Intel(R) 82915G Express Chipset Family.
-
-
-
-\section{Quick install (Windows only)}
-
-This section provides the quickest path to getting ANUGA up and running on a Windows machine. 
-For Linux and for more details please refer to Section \ref{sec:prerequisites}.
+Intel(R) 82915G Express chipset family.
+
+
+\section{Installation}
+
+Below are the install procedures for Windows XP, Windows Vista and Linux.
+
+\subsection{Quick install - Windows XP}
+\label{sec:winxp}
+
+This procedure assumes that you do not have python installed on the target machine.
+If you do have a python installed already then skip the installation of python as
+long as you have version 2.3 or later installed.
 
 \begin{enumerate}  
-  \item For Python 2.5, install: Python2.5, Scientific Python, Mingw, Numeric
-    and the NetCDF library. Note that the scientific Python installation
-    sometimes ends with an error message, although ANUGA still works.
+  \item Install the support software.
     These packages are available from either:
     \begin{itemize} 
-      \item The supplied ANUGA distribution folder: \code{pre_requisites$\backslash$2.5} .
+      \item The supplied ANUGA distribution folder: \code{pre_requisites$\backslash$2.5}.
         Install in order:
         \begin{enumerate}
-          \item \code{python-2.5.msi}
-          \item \code{Numeric-23.8.2.win32-py2.5.exe}
-          \item \code{ScientificPython-2.7.8.win32-py2.5.exe}
-          \item \code{MinGW-5.1.4.exe}
-        \end{enumerate} and then unpack \code{netcdf-3.6.1-win32.zip} into \code{C:$\backslash$bin} as suggested below.
-      \item The WEB. Install in order:
-          \begin{enumerate}  
-              \item \url{http://www.python.org/download/} and click on the \code{Python 2.5.x Windows installer} link to get
-                \code{python-2.5.x.msi}. Execute this file to install Python 2.5.
-              \item \url{http://sourcesup.cru.fr/frs/?group\%5Fid=180}. Download \code{Numeric-23.8.2.win32-py2.5.exe}
-                and execute it to install Numeric Python.
-              \item \url{http://sourcesup.cru.fr/frs/?group\%5Fid=180}. Download \code{ScientificPython-2.X.X.win32-py2.5.exe}
-                and execute it to install Scientific Python.
-              \item \url{http://sourceforge.net/project/showfiles.php?group\%5Fid=2435}. Click on the \code{Download} link for
-                the \code{Automated MinGW Installer} package. Execute the file \code{MinGW-5.X.X.exe} to install the MinGW environment.
-                Note that you will need a working internet connection to install WinGW.
-              \item \url{http://www.unidata.ucar.edu/software/netcdf/binaries.html} and click on the 
-                "\code{Windows DLL}" link in the NetCDF 3.6.1 section.  This will download the file \code{netcdf-3.6.1-win32.zip}.
-                Unpack this in a folder that is available on the system path. 
-                We suggest unpacking it into \code{C:$\backslash$bin}.
-          \end{enumerate}   
-    \end{itemize}   
-  
-  \item For Python 2.4, install: The Enthought version of Python2.4, Scientific Python 
-    and the NetCDF library\footnote{Separate installation of Scientific 
-    Python and NetCDF 
-    will become unneccesary once Enthought sorts out netcdf support 
-    (see \url{https://svn.enthought.com/enthought/ticket/917})}. 
-    These are available from either:
-    \begin{itemize} 
-      \item The supplied ANUGA distribution, under the folder \code{pre_requisites} .
-        Install in order:
-        \begin{enumerate}
-          \item enthon-python2.4-1.0.0.exe
-          \item ScientificPython-2.4.9.win32-py2.4.exe
-        \end{enumerate}
-        and then unpack \code{netcdf-3.6.1-beta1-win32dll.zip} into \code{C:$\backslash$bin} as suggested below.
-      \item The WEB. Install in order:
-      \begin{enumerate}  
-        \item \url{http://code.enthought.com/projects/} and install the Enthought environment for Python 2.4.x.
-        \item \url{http://sourceforge.net/project/showfiles.php?group\%5Fid=172848}. Click on the \code{Download} link for Scientific Python
-          and download \code{ScientificPython-2.4.9.win32-py2.4.exe} which will install Scientific Python.
-        \item \url{http://www.unidata.ucar.edu/software/netcdf/binaries.html} and click on the 
-          "\code{Windows DLL}" link in the NetCDF 3.6.1 section.  This will download the file \code{netcdf-3.6.1-win32.zip}.
-          Unpack this in a folder that is available on the system path. We suggest unpacking it into \code{C:$\backslash$bin} .
-      \end{enumerate}   
+          \item Execute \code{python-2.5.msi} to install python.
+          \item Execute \code{Numeric-23.8.2.win32-py2.5.exe} to install Numeric Python.
+          \item Execute \code{ScientificPython-2.7.8.win32-py2.5.exe} to install Scientific Python.
+          \item Execute \code{MinGW-5.1.4.exe} to install MinGW.
+        \end{enumerate} and then unpack \code{netcdf-3.6.1-win32dll.zip} into a folder that is available on the system path.
+        We suggest unpacking it into \code{C:$\backslash$bin}.
+      \item The Internet. Install in order:
+        \begin{enumerate}  
+          \item \url{http://www.python.org/download/}. Click on the \code{Python 2.5.x Windows installer} link to get
+            \code{python-2.5.x.msi}. Execute this file to install python.
+          \item \url{http://sourcesup.cru.fr/frs/?group\%5Fid=180}. Download \code{Numeric-23.8.2.win32-py2.5.exe}
+            and execute it to install Numeric Python.
+          \item \url{http://sourcesup.cru.fr/frs/?group\%5Fid=180}. Download \code{ScientificPython-2.X.X.win32-py2.5.exe}
+            and execute it to install Scientific Python.
+          \item \url{http://sourceforge.net/project/showfiles.php?group\%5Fid=2435}. Click on the \code{Download} link for
+            the \code{MinGW_5.1.4} package. Execute the file \code{MinGW-5.X.X.exe} to install the MinGW environment.
+            Note that you need a working internet connection to install WinGW.
+          \item \url{http://www.unidata.ucar.edu/software/netcdf/binaries.html}. Click on the 
+            \code{Windows DLL} link in the NetCDF 3.6.1 section.  This will download the file \code{netcdf-3.6.1-win32.zip}.
+            Unpack this in a folder that is available on the system path. 
+            We suggest unpacking it into \code{C:$\backslash$bin}.
+        \end{enumerate}   
     \end{itemize}   
   
   \item Add the following to the PATH environment variable:
-    \begin{verbatim}PATH=C:\Python24;C:\Python24\Enthought\MingW\bin;C:\bin\end{verbatim}
-    For details on how to do this under windows please refer to Section \ref{sec:windowspath}.
-
-  \item Unpack the ANUGA source code (\code{anuga-1.0_xxxx.tgz})\footnote{Internet explorer has the habit of renaming the .tgz files to .gz - 
+    \begin{verbatim}PATH=C:\Python25;C:\MingW\bin;C:\bin\end{verbatim}
+    For details on how to do this under Windows please refer to Appendix \ref{sec:setwindowspath}.
+
+    Note that if you have another version of python installed, 2.4  say, you would replace any
+    \code{Python25} above with \code{Python24}.
+    A similar replacement should be made in all following steps wherever you see \code{Python25}.
+
+  \item Unpack the ANUGA source code (\code{anuga-1.0_xxxx.tgz})\footnote{Internet Explorer has the habit of renaming the .tgz files to .gz - 
                                                                           the remedy is to rename them back or use another browser such as Firefox.} 
-    in the python site-packages directory \code{C:$\backslash$Python24$\backslash$Lib$\backslash$site-packages}.
-    This is often done in Windows by double clicking on the .tgz file and then 'browse to' the destination directory.
-
-  \item In the ANUGA root directory (\code{C:$\backslash$Python24$\backslash$Lib$\backslash$site-packages$\backslash$anuga}), 
+    in the python site-packages directory \code{C:$\backslash$Python25$\backslash$Lib$\backslash$site-packages}.
+    This is often done in Windows by double clicking on the \code{.tgz} file and then 'browse to' the destination directory.
+
+  \item In the ANUGA root directory (\code{C:$\backslash$Python25$\backslash$Lib$\backslash$site-packages$\backslash$anuga}), 
     run the compilation script (either from the commandline or by running it in IDLE):
     \begin{verbatim}python compile_all.py\end{verbatim}
 
-  \item In the ANUGA root directory, run the test suite (either from the commandline or by running it in IDLE):
+  \item In the ANUGA root directory (\code{C:$\backslash$Python25$\backslash$Lib$\backslash$site-packages$\backslash$anuga}),
+    run the test suite (either from the commandline or by running it in IDLE):
     \begin{verbatim}python test_all.py\end{verbatim} ANUGA has been succesfully installed if the tests pass.
 
   \item To verify that ANUGA succesfully reproduces a series of validation examples, go
-    to the directory \code{anuga_validation$\backslash$automated_validation_tests} in which you can run
+    to the directory
+    \linebreak
+    \code{anuga_validation$\backslash$automated_validation_tests} under the ANUGA root directory where you can run:
     \begin{verbatim}python validate_all.py\end{verbatim}
-
+    This may take some time.
 
   \item To install the ANUGA viewer:
     \begin{enumerate} 
-      \item Unpack the distribution (\code{anuga_viewer_1.0.tgz}) into
+      \item Unpack the distribution (\code{anuga_viewer_1.0.tgz}) into:
         \begin{verbatim}C:\Program Files\end{verbatim}
-      \item Double click on the test file
-        \begin{verbatim}C:\Program Files\anuga_viewer\cylinders.sww\end{verbatim}        
-      \item Associate .sww files with the executable
+
+      \item Double click on the test file:
+        \begin{verbatim}C:\Program Files\anuga_viewer\cylinders.sww\end{verbatim}
+
+      \item Associate \code{.sww} files with the executable:
       \begin{verbatim}C:\Program Files\anuga_viewer\animate.exe\end{verbatim}        
+      For details on how to do this under Windows please refer to Appendix \ref{sec:assocanimatesww}.
     \end{enumerate} 
 
-    Try the demos provided in the ANUGA directory \code{anuga\_demos} 
-    (discussed in the ANUGA user manual 
-    and also at 
-    \url{http://datamining.anu.edu.au/\~{}ole/anuga/user_manual/anuga_user_manual.pdf})
-    and view the resulting .sww files with the anuga_viewer.
+    Try the demonstrations provided in the ANUGA directory \code{anuga\_demos} 
+    (discussed in the ANUGA user manual at 
+    \url{http://datamining.anu.edu.au/\%7Eole/anuga/user\%5Fmanual/anuga\%5Fuser\%5Fmanual.pdf})
+    and view the resulting \code{.sww} files with the ANUGA viewer.
 \end{enumerate}   
 
@@ -171,87 +165,83 @@
 %details.
 
-
-\clearpage
-\section{Pre-requisites (software)}
-\label{sec:prerequisites}
-
-This and the following sections is for custom installations and 
-installations using Linux.
-
-The ANUGA software core (shallow\_water, pmesh, least\_squares, ...) depends on the following software:
+\subsection{Quick install - Windows Vista}
+\label{sec:winvista}
+
+There has been one reported instance of ANUGA being installed successfully on Windows Vista.
+The following steps should be read in conjunction with the windows XP procedures above:
+
+\begin{enumerate}  
+  \item Install \code{python-2.5.msi}.
+  \item Add the directory \code{C:$\backslash$Python25} to the \code{PATH} environment variable (appendix \ref{sec:setwindowspath}).
+  \item Install \code{Numeric-23.8.2.win32-py2.5.exe} (as administrator).
+  \item Install \code{ScientificPython-2.7.8.win32-py2.5.exe} (as administrator).
+  \item Install \code{MinGW-5.1.4.exe} (as administrator). Use the default package selection.  Don't use old packages and let it make fresh downloads.
+  \item Unpack \code{netcdf-3.6.1-beta1-win32dll.zip} into \code{C:$\backslash$bin}.
+  \item Add the directory \code{C:$\backslash$bin} to the \code{PATH} environment variable (appendix \ref{sec:setwindowspath}).
+  \item Install \code{pysco-1.6.win32-py2.5.exe} (as administrator).
+  \item Install \code{matplotlib-0.91.2.win32-py2.5.exe} (as administrator).
+  \item Install \code{numpy-1.1.0-win32-superpack-python2.5.exe} (as administrator).
+  \item Check that the system variable \code{PATH} contains
+        \code{C:$\backslash$Python2.5;C:$\backslash$Python25$\backslash$DLLs;C:$\backslash$bin;C:$\backslash$MinGW$\backslash$bin}
+        (appendix \ref{sec:setwindowspath}).
+  \item Now follow the Windows XP install steps from the ANUGA source code install step.
+\end{enumerate}
+
+Some of the installed packages above are optional and may not be required, but this is the reported working install we have received.
+
+\subsection{Quick install - Linux}
+\label{sec:linux}
+
+The procedure to install onto a Linux platform is targetted at a Debian-like Linux, such as Ubuntu.
+If you use another Linux the overall procedure should be followed, although the details will vary.
+
+This steps below assume that you do not have python installed on the target machine.
+If you do have a python installed already then skip the installation of python as
+long as you have version 2.3 or later.
+
+Note that even if you already have python installed you should still check if things like 
+\code{python-dev} and \code{python-profiler} need to be installed.
+
 \begin{itemize}
-  \item python 2.3 or later\footnote{Problems have been observed with 
-    Python 2.5 and Numeric on 64 bit platforms. See 
-    \url{https://datamining.anu.edu.au/anuga/ticket/221}} 
-    \url{http://www.python.org}
-  %\footnote{Note, the
-  %dll python2X.dll is needed to compile ANUGA, but is not always
-  %automatically added for versions 2.4 and above.  Install it into the
-  %python2X directory, if you need it.}.  
-  \item python-numeric for Linux.  It's called Numeric in Windows.  
-  %\item python-dev (Interestingly, numeric seems to be installed as
-  %well) for Linux.  This is not necessary for Windows.
-  \item python-scientific (to provide python-netcdf) for Linux.  It's
-    called ScientificPython in Windows.
-  \item NETCDF.  Extract the file netcdf.dll, and put in C://Windows//System32// (Windows XP) or C://WINNT//System32 (Windows NT or 2000).     
-  \item A C compiler such as gcc (from GNU in case of Linux and MinGW
-  in case of Windows)
-  %\item scons for automatically compiling the distribution.
+  \item Install support software (in order):
+    \begin{enumerate}  
+      \item Install python development environment, either through Synaptic or by:
+        \begin{verbatim}sudo apt-get install python python-dev python-profiler\end{verbatim}
+      \item Install Numeric Python, either through Synaptic or by:
+        \begin{verbatim}sudo apt-get install python-numeric\end{verbatim}
+      \item Install Scientific Python, either through Synaptic or by:
+        \begin{verbatim}sudo apt-get install python-scientific\end{verbatim}
+      \item Install NetCDF, either through Synaptic or by:
+        \begin{verbatim}sudo apt-get install python-netcdf\end{verbatim}
+      \item Install \code{gcc} and it's development environment if you don't have it, either through Synaptic or by:
+        \begin{verbatim}sudo apt-get install gcc libc6-dev\end{verbatim}
+        Ensure that \code{libc6-dev} is installed even if \code{gcc} is already installed.
+    \end{enumerate}   
+  \item Get the ANUGA source from \url{http://sourceforge.net/projects/anuga} (\code{anuga-1.0_5789.tgz} say),
+    and expand it into the python site-packages directory \code{/usr/lib/python2.5/site-packages}.
+    In the unpacked ANUGA directory \code{/usr/lib/python2.5/site-packages/anuga_core} run the command:
+    \begin{verbatim}sudo python compile_all.py\end{verbatim}
 \end{itemize}
 
-Note: All of these can be installed in one go on Windows platforms by 
-using the Enthought Python 
-distribution available at \url{http://code.enthought.com/projects/} .
-
-\section{Recommended software}
-
+\section{Optional but recommended software}
+This software is not required to run the ANUGA toolbox, but it is recommended.
 \begin{itemize}
-  \item psyco: \url{http://psyco.sourceforge.net/index.html} .  Speeds up anuga by about 30\%.
-  %\item visual python \url{http://vpython.org}
-  \item matplotlib: (pylab) for quality 2d plotting (moving towards mandatory requirement and now part of Enthought).
-  \item VTK: \url{http://mayavi.sourceforge.net/dwnld/vtk/win32/} - also now part of Enthought.
+  \item psyco. Speeds up ANUGA by about 30\%. Under Ubuntu install either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install python-psyco\end{verbatim}
+    Under Windows install the file \code{psyco-1.6.win32-py25.exe}
+    which you can find from the \url{http://psyco.sourceforge.net/download.html} page.
+  \item matplotlib. For quality 2d plotting (moving towards mandatory requirement). Under Ubuntu install either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install python-matplotlib\end{verbatim}
+    Under Windows install the file \code{matplotlib-0.98.3.win32-py2.5.exe}
+    which you can find from the \url{http://sourceforge.net/projects/matplotlib} page.
+  \item VTK. The Visualization Toolkit. Under Ubuntu install either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install python-vtk\end{verbatim}
+    Under Windows install the file \code{vtk-5.2.0-win32.exe}
+    from the \url{http://www.vtk.org/get-software.php} page.
 \end{itemize}
 
 
 
-\section{System configuration}
-
-
-The system path on Win32 architectures must contain the 
-directories (this examples assumes the Enthought Python 2.4 distribution 
-has been installed. Path names may vary depending on the 
-exact configuration).
-\begin{verbatim}
-PATH=C:\Python24;C:\Python24\Enthought\MingW\bin;C:\Program Files\anuga_viewer
-\end{verbatim}
-The path should be analoguous for Unix operating systems.
-
-If anuga is not installed in the python site-packages directory 
-the root directory for all 
-anuga/inundation modules must be on the pythonpath, e.g.\
-\begin{verbatim}
-PYTHONPATH=C:\anuga_core\source
-\end{verbatim}
-
-
-
-
-
-\section{Installation of source zip file}
-Get a source zip file, for example, anuga_source_3807.zip, and expand
-it in the python site-packages directory (\code{C:$\backslash$Python24$\backslash$Lib$\backslash$site-packages})
-
-In the ANUGA root directory (\code{C:$\backslash$Python24$\backslash$Lib$\backslash$site-packages$\backslash$anuga}), 
-run the compilation script:
-\begin{verbatim}
-python compile_all.py
-\end{verbatim}
-
-%or (in anuga_core)
-% scons install 
-% scons -c #(clean)
-
-
-\subsection{Testing}
+\section{Testing}
 
 In the ANUGA root directory, run the test suite:
@@ -295,8 +285,125 @@
 
 
-\chapter{Appendix}
+\appendix
+\chapter{Miscellaneous procedures}
 \section{Setting the PATH on Windows}
-\label{sec:windowspath}
-
+\label{sec:setwindowspath}
+
+The method of setting the PATH environment variable for Windows XP is shown here.
+Setting the variable for Windows Vista should be similar.
+
+\setlength\fboxsep{0pt}
+\setlength\fboxrule{1.0pt}
+
+First, open the Control Panel:
+\begin{figure}[ht]
+  \centerline{\fbox{\includegraphics[scale=0.75]{installgraphics/winsetpath1.png}}}
+%  \caption{Run Control Panel from the Start menu}
+  \label{fig:winsetpath1}
+\end{figure}
+
+Next, start the System applet:
+\begin{figure}[ht]
+  \centerline{\fbox{\includegraphics[scale=0.75]{installgraphics/winsetpath2.png}}}
+%  \caption{Start the System applet}
+  \label{fig:winsetpath2}
+\end{figure}
+
+\pagebreak
+
+Select the \code{Advanced} tab in the System Properties window:
+\begin{figure}[ht]
+  \centerline{\includegraphics[scale=0.5]{installgraphics/winsetpath3.png}}
+%  \caption{Select the Advanced tab}
+  \label{fig:winsetpath3}
+\end{figure}
+
+%\pagebreak
+
+Press the \code{Environment Variables} button in the \code{Advanced} tab:
+\begin{figure}[ht]
+  \centerline{\includegraphics[scale=0.5]{installgraphics/winsetpath4.png}}
+%  \caption{Press the Environment Variables button}
+  \label{fig:winsetpath4}
+\end{figure}
+
+\pagebreak
+
+If the \code{PATH} variable is not defined in the top window, press the \code{New} button.
+If \code{PATH} already exists, select the row with the \code{PATH} variable name in the top listbox
+and press the \code{Edit} button next to the \code{New} button:
+\begin{figure}[ht]
+  \centerline{\includegraphics[scale=0.5]{installgraphics/winsetpath5.png}}
+%  \caption{Press the New button}
+  \label{fig:winsetpath5}
+\end{figure}
+
+%\pagebreak
+
+You will be shown the editor window whichever button you pressed in the above step. If the \code{Variable name} box is empty
+type in the name \code{PATH}.  In the \code{Variable value} box type the value you want the \code{PATH} variable to have.  If there
+is already some text in the box, place your additional value at the front of the existing value, not forgetting to terminate your additional
+string with the ';' character. The final value string must be a series of directory names seperated by ';' characters:
+\begin{figure}[ht]
+  \centerline{\includegraphics[scale=0.75]{installgraphics/winsetpath6.png}}
+%  \caption{Modifying the PATH value}
+  \label{fig:winsetpath6}
+\end{figure}
+
+When you are finished, press the \code{OK} button and exit from the applet.
+
+\pagebreak
+
+\section{Associating animate.exe with a .sww file}
+\label{sec:assocanimatesww}
+
+The method of associating \code{animate.exe} with a \code{.sww} file is shown here for Windows XP.
+A similar process should work for Windows Vista.
+
+Double left-click on any \code{.sww} file.  This brings up a dialog because Windows doesn't know how to open the file:
+\begin{figure}[ht]
+  \centerline{\fbox{\includegraphics[scale=0.5]{installgraphics/winassoc1.png}}}
+%  \caption{Try to open the .sww file}
+  \label{fig:winassoc1}
+\end{figure}
+
+Select the "\code{Select the program from a list}" radiobutton and press the \code{OK} button:
+\begin{figure}[ht]
+  \centerline{\includegraphics[scale=0.5]{installgraphics/winassoc2.png}}
+%  \caption{Select the program from a list}
+  \label{fig:winassoc2}
+\end{figure}
+
+\pagebreak
+
+Press the \code{Browse...} button to find the \code{animate.exe} program:
+\begin{figure}[ht]
+  \centerline{\includegraphics[scale=0.5]{installgraphics/winassoc3.png}}
+%  \caption{Find animate.exe program}
+  \label{fig:winassoc3}
+\end{figure}
+
+Navigate to the \code{C:$\backslash$Program Files$\backslash$anuga_viewer} directory:
+\begin{figure}[ht]
+  \centerline{\includegraphics[scale=0.5]{installgraphics/winassoc4.png}}
+%  \caption{Navigate into Program Files|anuga_viewer directory}
+  \label{fig:winassoc4}
+\end{figure}
+
+\pagebreak
+
+Select \code{animate.exe} and press the \code{Open} button:
+\begin{figure}[ht]
+  \centerline{\includegraphics[scale=0.5]{installgraphics/winassoc5.png}}
+%  \caption{Select the animate.exe program press Open}
+  \label{fig:winassoc5}
+\end{figure}
+
+Finally, press the \code{OK} button:
+\begin{figure}[ht]
+  \centerline{\includegraphics[scale=0.5]{installgraphics/winassoc6.png}}
+%  \caption{Press the OK button}
+  \label{fig:winassoc6}
+\end{figure}
 
 