Index: /anuga_work/production/busselton/build_boundary_27255.py
===================================================================
--- /anuga_work/production/busselton/build_boundary_27255.py	(revision 5803)
+++ /anuga_work/production/busselton/build_boundary_27255.py	(revision 5804)
@@ -50,5 +50,5 @@
 print 'number of sources', len(urs_filenames)
 
-if len(urs_filnames) = 10 #change per event
+if len(urs_filenames) == 10: #change per event
 
     weight_factor = 30.84050 #change per event
@@ -68,5 +68,6 @@
             mean_stage=project.tide,
             verbose=True)
-else print 'number of sources do not match event.list'
+else:
+    print 'number of sources do not match event.list'
 
 #------------------------------------------------------------------------------
@@ -112,5 +113,5 @@
 
     minname = 'min_sts_stage.csv'
-    fid_min = open(project.boundaries_dir_event+sep+maxname,'w')
+    fid_min = open(project.boundaries_dir_event+sep+minname,'w')
     s = 'index, x, y, max_stage \n'
     fid_min.write(s)    
Index: /anuga_work/production/busselton/build_boundary_27283.py
===================================================================
--- /anuga_work/production/busselton/build_boundary_27283.py	(revision 5803)
+++ /anuga_work/production/busselton/build_boundary_27283.py	(revision 5804)
@@ -81,5 +81,5 @@
 print 'number of sources', len(urs_filenames)
 
-if len(urs_filnames) = 44 #change per event
+if len(urs_filenames) == 44: #change per event
 
 # AS per David Burbidge email on Friday 4th July the mag 9.3 event
@@ -104,5 +104,6 @@
             mean_stage=project.tide,
             verbose=True)
-else print 'number of sources do not match event.list'
+else:
+    print 'number of sources do not match event.list'
 
 #------------------------------------------------------------------------------
@@ -148,5 +149,5 @@
 
     minname = 'min_sts_stage.csv'
-    fid_min = open(project.boundaries_dir_event+sep+maxname,'w')
+    fid_min = open(project.boundaries_dir_event+sep+minname,'w')
     s = 'index, x, y, max_stage \n'
     fid_min.write(s)    
Index: /anuga_work/production/busselton/project_250m.py
===================================================================
--- /anuga_work/production/busselton/project_250m.py	(revision 5803)
+++ /anuga_work/production/busselton/project_250m.py	(revision 5804)
@@ -51,5 +51,5 @@
 finaltime=80000         # final time for simulation
 
-interior_mesh = 'all' # Can have 'all' or 'none' for Phase 2 study
+interior_mesh = 'none' # Can have 'all' or 'none' for Phase 2 study
 
 setup='final'  # Final can be replaced with trial or basic.
Index: /anuga_work/production/carnarvon/build_boundary_27255.py
===================================================================
--- /anuga_work/production/carnarvon/build_boundary_27255.py	(revision 5803)
+++ /anuga_work/production/carnarvon/build_boundary_27255.py	(revision 5804)
@@ -50,5 +50,5 @@
 print 'number of sources', len(urs_filenames)
 
-if len(urs_filnames) = 10 #change per event
+if len(urs_filenames) == 10: #change per event
 
     weight_factor = 30.84050 #change per event
@@ -68,5 +68,6 @@
             mean_stage=project.tide,
             verbose=True)
-else print 'number of sources do not match event.list'
+else:
+    print 'number of sources do not match event.list'
 
 #------------------------------------------------------------------------------
@@ -112,5 +113,5 @@
 
     minname = 'min_sts_stage.csv'
-    fid_min = open(project.boundaries_dir_event+sep+maxname,'w')
+    fid_min = open(project.boundaries_dir_event+sep+minname,'w')
     s = 'index, x, y, max_stage \n'
     fid_min.write(s)    
Index: /anuga_work/production/carnarvon/build_boundary_27283.py
===================================================================
--- /anuga_work/production/carnarvon/build_boundary_27283.py	(revision 5803)
+++ /anuga_work/production/carnarvon/build_boundary_27283.py	(revision 5804)
@@ -81,5 +81,5 @@
 print 'number of sources', len(urs_filenames)
 
-if len(urs_filnames) = 44 #change per event
+if len(urs_filenames) == 44: #change per event
 
 # AS per David Burbidge email on Friday 4th July the mag 9.3 event
@@ -104,5 +104,6 @@
             mean_stage=project.tide,
             verbose=True)
-else print 'number of sources do not match event.list'
+else:
+    print 'number of sources do not match event.list'
 
 #------------------------------------------------------------------------------
@@ -148,5 +149,5 @@
 
     minname = 'min_sts_stage.csv'
-    fid_min = open(project.boundaries_dir_event+sep+maxname,'w')
+    fid_min = open(project.boundaries_dir_event+sep+minname,'w')
     s = 'index, x, y, max_stage \n'
     fid_min.write(s)    
Index: /anuga_work/production/carnarvon/build_carnarvon.py
===================================================================
--- /anuga_work/production/carnarvon/build_carnarvon.py	(revision 5803)
+++ /anuga_work/production/carnarvon/build_carnarvon.py	(revision 5804)
@@ -111,4 +111,4 @@
     mkdir (project.topographies_dir)
 G.export_points_file(project.combined_dir_name + '.pts')
-#G.export_points_file(project.combined_dir_name + '.txt') #Use for comparision in ARC
+G.export_points_file(project.combined_dir_name + '.txt') #Use for comparision in ARC
 
Index: /anuga_work/production/carnarvon/project_250m.py
===================================================================
--- /anuga_work/production/carnarvon/project_250m.py	(revision 5803)
+++ /anuga_work/production/carnarvon/project_250m.py	(revision 5804)
@@ -51,5 +51,5 @@
 finaltime=80000         # final time for simulation
 
-interior_mesh = 'none' # Can have 'all' or 'none' for Phase 2 study
+interior_mesh = 'all' # Can have 'all' or 'none' for Phase 2 study
 
 setup='final'  # Final can be replaced with trial or basic.
Index: /anuga_work/production/geraldton/build_boundary_27255.py
===================================================================
--- /anuga_work/production/geraldton/build_boundary_27255.py	(revision 5803)
+++ /anuga_work/production/geraldton/build_boundary_27255.py	(revision 5804)
@@ -50,5 +50,5 @@
 print 'number of sources', len(urs_filenames)
 
-if len(urs_filnames) = 10 #change per event
+if len(urs_filenames) == 10: #change per event
 
     weight_factor = 30.84050 #change per event
@@ -63,12 +63,11 @@
 
     urs2sts(urs_filenames,
-            basename_out=os.path.join(project.boundaries_dir,scenario_name),
+            basename_out=os.path.join(project.boundaries_dir_event,scenario_name),
             ordering_filename=order_filename,
-            zone=50, #enforcing zone 50
             weights=weights,
             mean_stage=project.tide,
             verbose=True)
-
-else print 'number of sources do not match event.list'
+else:
+    print 'number of sources do not match event.list'
 
 #------------------------------------------------------------------------------
@@ -114,5 +113,5 @@
 
     minname = 'min_sts_stage.csv'
-    fid_min = open(project.boundaries_dir_event+sep+maxname,'w')
+    fid_min = open(project.boundaries_dir_event+sep+minname,'w')
     s = 'index, x, y, max_stage \n'
     fid_min.write(s)    
Index: /anuga_work/production/geraldton/build_boundary_27283.py
===================================================================
--- /anuga_work/production/geraldton/build_boundary_27283.py	(revision 5803)
+++ /anuga_work/production/geraldton/build_boundary_27283.py	(revision 5804)
@@ -81,5 +81,5 @@
 print 'number of sources', len(urs_filenames)
 
-if len(urs_filnames) = 44 #change per event
+if len(urs_filenames) == 44: #change per event
 
 # AS per David Burbidge email on Friday 4th July the mag 9.3 event
@@ -101,9 +101,9 @@
             basename_out=os.path.join(project.boundaries_dir_event,scenario_name),
             ordering_filename=order_filename,
-            zone=50, #enforcing zone 50
             weights=weights,
             mean_stage=project.tide,
             verbose=True)
-else print 'number of sources do not match event.list'
+else:
+    print 'number of sources do not match event.list'
 
 #------------------------------------------------------------------------------
@@ -149,5 +149,5 @@
 
     minname = 'min_sts_stage.csv'
-    fid_min = open(project.boundaries_dir_event+sep+maxname,'w')
+    fid_min = open(project.boundaries_dir_event+sep+minname,'w')
     s = 'index, x, y, max_stage \n'
     fid_min.write(s)    
Index: /anuga_work/production/geraldton/project_250m.py
===================================================================
--- /anuga_work/production/geraldton/project_250m.py	(revision 5803)
+++ /anuga_work/production/geraldton/project_250m.py	(revision 5804)
@@ -51,5 +51,5 @@
 finaltime=80000         # final time for simulation
 
-interior_mesh = 'none' # Can have 'all' or 'none' for Phase 2 study
+interior_mesh = 'all' # Can have 'all' or 'none' for Phase 2 study
 
 setup='final'  # Final can be replaced with trial or basic.
Index: /anuga_work/production/perth/build_boundary_27255.py
===================================================================
--- /anuga_work/production/perth/build_boundary_27255.py	(revision 5803)
+++ /anuga_work/production/perth/build_boundary_27255.py	(revision 5804)
@@ -1,4 +1,4 @@
 """
-Script for building boundary to run a tsunami inundation scenario for Perth,
+Script for building boundary to run a tsunami inundation scenario for perth,
 WA, Australia.  The boundary is sourced from the National Hazard Map.
 
@@ -50,5 +50,5 @@
 print 'number of sources', len(urs_filenames)
 
-if len(urs_filnames) = 10 #change per event
+if len(urs_filenames) == 10: #change per event
 
     weight_factor = 30.84050 #change per event
@@ -68,5 +68,6 @@
             mean_stage=project.tide,
             verbose=True)
-else print 'number of sources do not match event.list'
+else:
+    print 'number of sources do not match event.list'
 
 #------------------------------------------------------------------------------
@@ -112,5 +113,5 @@
 
     minname = 'min_sts_stage.csv'
-    fid_min = open(project.boundaries_dir_event+sep+maxname,'w')
+    fid_min = open(project.boundaries_dir_event+sep+minname,'w')
     s = 'index, x, y, max_stage \n'
     fid_min.write(s)    
Index: /anuga_work/production/perth/build_boundary_27283.py
===================================================================
--- /anuga_work/production/perth/build_boundary_27283.py	(revision 5803)
+++ /anuga_work/production/perth/build_boundary_27283.py	(revision 5804)
@@ -1,4 +1,4 @@
 """
-Script for building boundary to run tsunami inundation scenario for Perth,
+Script for building boundary to run tsunami inundation scenario for perth,
 WA, Australia.  The boundary is based on the National Hazard Map.
 
@@ -81,5 +81,5 @@
 print 'number of sources', len(urs_filenames)
 
-if len(urs_filnames) = 44 #change per event
+if len(urs_filenames) == 44: #change per event
 
 # AS per David Burbidge email on Friday 4th July the mag 9.3 event
@@ -104,5 +104,6 @@
             mean_stage=project.tide,
             verbose=True)
-else print 'number of sources do not match event.list'
+else:
+    print 'number of sources do not match event.list'
 
 #------------------------------------------------------------------------------
@@ -148,5 +149,5 @@
 
     minname = 'min_sts_stage.csv'
-    fid_min = open(project.boundaries_dir_event+sep+maxname,'w')
+    fid_min = open(project.boundaries_dir_event+sep+minname,'w')
     s = 'index, x, y, max_stage \n'
     fid_min.write(s)    