Index: /anuga_work/production/perth/build_boundary_27255.py
===================================================================
--- /anuga_work/production/perth/build_boundary_27255.py	(revision 5813)
+++ /anuga_work/production/perth/build_boundary_27255.py	(revision 5814)
@@ -1,4 +1,4 @@
 """
-Script for building boundary to run a tsunami inundation scenario for perth,
+Script for building boundary to run a tsunami inundation scenario for onslow,
 WA, Australia.  The boundary is sourced from the National Hazard Map.
 
@@ -6,5 +6,5 @@
        event_number needs to be reflected in the project file 
 Output: creates a sts file and csv files stored in project.boundaries_dir_event.
-The run_perth.py is reliant on the output of this script.
+The run_onslow.py is reliant on the output of this script.
 """
 import os
Index: /anuga_work/production/perth/build_boundary_27283.py
===================================================================
--- /anuga_work/production/perth/build_boundary_27283.py	(revision 5813)
+++ /anuga_work/production/perth/build_boundary_27283.py	(revision 5814)
@@ -1,4 +1,4 @@
 """
-Script for building boundary to run tsunami inundation scenario for perth,
+Script for building boundary to run tsunami inundation scenario for onslow,
 WA, Australia.  The boundary is based on the National Hazard Map.
 
@@ -6,5 +6,5 @@
        event_number needs to be reflected in the project file 
 Output: creates a sts file and csv files stored in project.boundaries_dir_event.
-The run_perth.py is reliant on the output of this script.
+The run_onslow.py is reliant on the output of this script.
 """
 import os
Index: /anuga_work/production/perth/project.py
===================================================================
--- /anuga_work/production/perth/project.py	(revision 5813)
+++ /anuga_work/production/perth/project.py	(revision 5814)
@@ -38,6 +38,6 @@
 # Note, the user needs to set up the directory system accordingly
 state = 'western_australia'
-scenario_name = 'perth'
-scenario = 'perth_tsunami_scenario'
+scenario_name = 'onslow'
+scenario = 'onslow_tsunami_scenario_2008'
 
 # Model specific parameters. One or all can be changed each time the
@@ -82,27 +82,25 @@
 #------------------------------------------------------------------------------
 
-# elevation data used in build_perth.py
+# elevation data used in build_onslow.py
 # onshore data: format ascii grid with accompanying projection file
-onshore_name = 'perth_dli_ext' 
+onshore_name = 'revised_onshore_20m_dli' 
 # island: format ascii grid with accompanying projection file
-island_name = 'rott_dli_ext' 
-island_name1 = 'gard_dli_ext'
-island_name2 = 'carnac_island_dli_ext'
-island_name3 = 'penguin_dli_ext'
+island_name = 'onslow_islands_dted2' 
 # coastline: format x,y,elevation (with title)
-coast_name = 'coastline_perthP.txt'
+coast_name = 'revised_coastline.txt'
 # bathymetry: format x,y,elevation (with title)
-offshore_name = 'Perth.txt'
-offshore_name1 = 'Perth_Chart.txt'
-offshore_name2 = 'Fremantle_north.txt'
-offshore_name3 = 'port_swanriver.txt'
+offshore_name = 'onslow_offshore_points.txt'
+offshore_name1 = 'ONS16FINAL.txt'
+offshore_name2 = 'ONS18FINAL.txt'
+offshore_name3 = 'ONS18FINAL.txt'
+offshore_name4 = 'beach_survey.txt'
 
 # gauges - used in get_timeseries.py
-gauge_name = 'perth.csv'
-gauge_name2 = 'thinned_MGA50.csv'
-
-# BOUNDING POLYGON - used in build_boundary.py and run_perth.py respectively
+#gauge_name = 'onslow.csv'
+#gauge_name2 = 'thinned_MGA50.csv'
+
+# BOUNDING POLYGON - used in build_boundary.py and run_onslow.py respectively
 # NOTE: when files are put together the points must be in sequence - for ease go clockwise!
-# Check the run_perth.py for boundary_tags
+# Check the run_onslow.py for boundary_tags
 # thinned ordering file from Hazard Map: format is index,latitude,longitude (with title)
 order_filename = 'thinned_boundary_ordering.csv'
@@ -115,6 +113,6 @@
 # Output filename for elevation
 # this is a combination of all the data (utilisied in build_boundary)
-combined_name ='perth_combined_elevation'
-combined_smaller_name = 'perth_combined_elevation_smaller'
+combined_name ='onslow_combined_elevation'
+combined_smaller_name = 'onslow_combined_elevation_smaller'
 
 #------------------------------------------------------------------------------
@@ -137,7 +135,4 @@
 onshore_in_dir_name = topographies_in_dir + onshore_name
 island_in_dir_name = topographies_in_dir + island_name
-island_in_dir_name1 = topographies_in_dir + island_name1
-island_in_dir_name2 = topographies_in_dir + island_name2
-island_in_dir_name3 = topographies_in_dir + island_name3
 coast_in_dir_name = topographies_in_dir + coast_name
 offshore_in_dir_name = topographies_in_dir + offshore_name
@@ -145,11 +140,9 @@
 offshore_in_dir_name2 = topographies_in_dir + offshore_name2
 offshore_in_dir_name3 = topographies_in_dir + offshore_name3
+offshore_in_dir_name4 = topographies_in_dir + offshore_name4
 
 # where the output data sits
 onshore_dir_name = topographies_dir + onshore_name
 island_dir_name = topographies_dir + island_name
-island_dir_name1 = topographies_dir + island_name1
-island_dir_name2 = topographies_dir + island_name2
-island_dir_name3 = topographies_dir + island_name3
 coast_dir_name = topographies_dir + coast_name
 offshore_dir_name = topographies_dir + offshore_name
@@ -157,4 +150,5 @@
 offshore_dir_name2 = topographies_dir + offshore_name2
 offshore_dir_name3 = topographies_dir + offshore_name3
+offshore_dir_name4 = topographies_dir + offshore_name4
 
 # where the combined elevation file sits
@@ -162,5 +156,5 @@
 combined_smaller_name_dir = topographies_dir + combined_smaller_name
 
-# where the mesh sits (this is created during the run_perth.py)
+# where the mesh sits (this is created during the run_onslow.py)
 meshes_dir_name = meshes_dir + scenario_name+'.msh'
 
@@ -168,5 +162,5 @@
 order_filename_dir = boundaries_dir + order_filename
 
-# where the landward points of boundary extent sit (this is used within run_perth.py)
+# where the landward points of boundary extent sit (this is used within run_onslow.py)
 landward_dir = boundaries_dir + landward
 
@@ -176,11 +170,11 @@
 
 # where the directory of the output filename sits
-output_build_time_dir = output_dir+build_time+dir_comment+sep   #used for build_perth.py
-output_run_time_dir = output_dir+run_time+dir_comment+sep       #used for run_perth.py
+output_build_time_dir = output_dir+build_time+dir_comment+sep   #used for build_onslow.py
+output_run_time_dir = output_dir+run_time+dir_comment+sep       #used for run_onslow.py
 output_run_time_dir_name = output_run_time_dir + scenario_name  #Used by post processing
 
 #w here the directory of the gauges sit
-gauges_dir_name = gauges_dir + gauge_name       #used for get_timeseries.py
-gauges_dir_name2 = gauges_dir + gauge_name2     #used for get_timeseries.py
+#gauges_dir_name = gauges_dir + gauge_name       #used for get_timeseries.py
+#gauges_dir_name2 = gauges_dir + gauge_name2     #used for get_timeseries.py
 
 #------------------------------------------------------------------------------
@@ -189,5 +183,8 @@
 
 #Land, to set the initial stage/water to be offcoast only
-poly_mainland = read_polygon(polygons_dir+'initial_condition.csv')
+poly_mainland = read_polygon(polygons_dir+'initial_conditions_mainland.csv')
+
+#Ocean
+poly_ocean = read_polygon(polygons_dir+'initial_conditions_ocean.csv')
 
 # Initial bounding polygon for data clipping 
@@ -195,52 +192,19 @@
 res_poly_all = 100000*res_factor
 
-# Area of Interest 1 (Fremantle)
-poly_aoi1 = read_polygon(polygons_dir+'CBD_coastal.csv')
+# Area of Interest 1 (Onslow)
+poly_aoi1 = read_polygon(polygons_dir+'aoi.csv')
 res_aoi1 = 500*res_factor
 
-# Area of Interest 2 (Rockingham)
-poly_aoi2 = read_polygon(polygons_dir+'rockingham_penguin.csv')
-res_aoi2 = 500*res_factor
-
-# Area of Interest 2 (garden Island)
-poly_aoi2a = read_polygon(polygons_dir+'garden.csv')
-res_aoi2a= 500*res_factor
-
-# Area of Interest 3 (geordie bay - record of tsunami impact)
-poly_aoi3 = read_polygon(polygons_dir+'geordie_bay.csv')
-res_aoi3 = 500*res_factor
-
-# Area of Interest 4 (sorrento - record of tsunami impact)
-poly_aoi4 = read_polygon(polygons_dir+'sorrento_gauge.csv')
-res_aoi4 = 500*res_factor
-
-# Area of Significance 1 (Garden Island and sand bank infront of Rockingham)
-poly_aos1 = read_polygon(polygons_dir+'garden_rockingham.csv')
+# Area of Significance 1 (Onslow)
+poly_aos1 = read_polygon(polygons_dir+'aos.csv')
 res_aos1 = 1000*res_factor
 
-# Area of Significance 2 (incorporate coastline of rottnest)
-poly_aos2 = read_polygon(polygons_dir+'rottnest_external.csv')
-res_aos2 = 1000*res_factor
-
-# Refined areas
-# Polygon designed to incorporate dredged area from Fremantle to
-# Rockingham as the steep incline was making the elevation go to 0
-poly_aos3 = read_polygon(polygons_dir+'DredgeArea.csv')
-res_aos3 = 1000*res_factor
-
 # Shallow water 1
-poly_sw1 = read_polygon(polygons_dir+'internal_h20mORd3km.csv')
+poly_sw1 = read_polygon(polygons_dir+'shallow_water.csv')
 res_sw1 = 25000*res_factor
 
-# Deep water (land of Rottnest, ANUGA does not do donuts!)
-poly_dw1 = read_polygon(polygons_dir+'rottnest_internal.csv')
-res_dw1 = 100000*res_factor
-
 # Combined all regions, must check that all are included!
-interior_regions = [[poly_aoi1,res_aoi1],[poly_aoi2,res_aoi2]
-                     ,[poly_aoi2a,res_aoi2a],[poly_aoi3,res_aoi3]
-                     ,[poly_aoi4,res_aoi4],[poly_aos1,res_aos1]
-                     ,[poly_aos2,res_aos2],[poly_aos3,res_aos3]
-                     ,[poly_sw1,res_sw1], [poly_dw1,res_dw1]]
+interior_regions = [[poly_aoi1,res_aoi1],[poly_aos1,res_aos1]
+                     ,[poly_sw1,res_sw1]]
 
     
@@ -253,26 +217,26 @@
 #------------------------------------------------------------------------------
 
-#Geordie Bay extract ascii grid
-xminGeordie = 358000
-xmaxGeordie = 362000
-yminGeordie = 6458500
-ymaxGeordie = 6461000
-
-#Sorrento extract ascii grid
-xminSorrento = 379000
-xmaxSorrento = 382500
-yminSorrento = 6477000
-ymaxSorrento = 6480000
-
-#Fremantle extract ascii grid
-xminFremantle = 376000
-xmaxFremantle = 388000
-yminFremantle = 6449000
-ymaxFremantle = 6461000
-
-#Rockingham extract ascii grid
-xminRockingham = 373500
-xmaxRockingham = 385500
-yminRockingham = 6424000
-ymaxRockingham = 6433000
-
+###Geordie Bay extract ascii grid
+##xminGeordie = 358000
+##xmaxGeordie = 362000
+##yminGeordie = 6458500
+##ymaxGeordie = 6461000
+##
+###Sorrento extract ascii grid
+##xminSorrento = 379000
+##xmaxSorrento = 382500
+##yminSorrento = 6477000
+##ymaxSorrento = 6480000
+##
+###Fremantle extract ascii grid
+##xminFremantle = 376000
+##xmaxFremantle = 388000
+##yminFremantle = 6449000
+##ymaxFremantle = 6461000
+##
+###Rockingham extract ascii grid
+##xminRockingham = 373500
+##xmaxRockingham = 385500
+##yminRockingham = 6424000
+##ymaxRockingham = 6433000
+